print "${BGreen}Loading cpkstuff.pl\n";

sub cmd_lockerin
{
print "${BGreen}Storing goods\n";
mcl_send("put no1 locker");
mcl_send("put no2 locker");
mcl_send("put no3 locker");
mcl_send("put no4 locker");
mcl_send("put no5 locker");
mcl_send("put no6 locker");
mcl_send("put no7 locker");
mcl_send("put no8 locker");
mcl_send("put no9 locker");
mcl_send("put no10 locker");
mcl_send("put no11 locker");
mcl_send("put no12 locker");
mcl_send("put no13 locker");
mcl_send("put no14 locker");
mcl_send("put no15 locker");
}

sub cmd_lockerout
{
print "${BGreen}Retrieving goods\n";
mcl_send("get gem locker");
	mcl_send("get no1 locker");
	mcl_send("get no2 locker");
	mcl_send("get no3 locker");
	mcl_send("get no4 locker");
	mcl_send("get no5 locker");
	mcl_send("get no6 locker");
	mcl_send("get no7 locker");
	mcl_send("get no8 locker");
	mcl_send("get no9 locker");
	mcl_send("get no10 locker");
	mcl_send("get no11 locker");
	mcl_send("get no12 locker");
	mcl_send("get no13 locker");
	mcl_send("get no14 locker");
        mcl_send("get no15 locker");
}

sub cmd_goonin
{
print "${BGreen}Storing goods\n";
mcl_send("put go1 locker");
mcl_send("put go2 locker");
mcl_send("put go3 locker");
mcl_send("put go4 locker");
mcl_send("put go5 locker");
mcl_send("put go6 locker");
mcl_send("put go7 locker");
mcl_send("put go8 locker");
mcl_send("put go9 locker");
mcl_send("put go10 locker");
mcl_send("put go11 locker");
mcl_send("put go12 locker");
mcl_send("put go13 locker");
mcl_send("put go14 locker");
mcl_send("put go15 locker");
}

sub cmd_goonout
{
print "${BGreen}Retrieving goods\n";
        mcl_send("get go1 locker");
        mcl_send("get go2 locker");
        mcl_send("get go3 locker");
        mcl_send("get go4 locker");
        mcl_send("get go5 locker");
        mcl_send("get go6 locker");
        mcl_send("get go7 locker");
        mcl_send("get go8 locker");
        mcl_send("get go9 locker");
        mcl_send("get go10 locker");
        mcl_send("get go11 locker");
        mcl_send("get go12 locker");
        mcl_send("get go13 locker");
        mcl_send("get go14 locker");
        mcl_send("get go15 locker");
}

sub cmd_maccom
{
print "${BGreen}Changing to combat macros\n";
	run("/macro kp_7 swt");
	run("/macro kp_8 sw");
	run("/macro kp_9 frot");
	run("/macro kp_4 dit");
	run("/macro kp_5 colt");
	run("/macro kp_6 mmt");
	run("/macro kp_1 plt");
	run("/macro kp_2 wkt");
	run("/macro kp_3 ft");
	run("/macro kp_0 blit");
	run("/macro kp_period cut");
}

sub cmd_macmov
{
print "${BGreen}Changing to move macros\n";
       	run("/macro kp_5 s");
      	run("/macro kp_8 n");
      	run("/macro kp_2 s");
	run("/macro kp_4 w");
       	run("/macro kp_6 e");
       	run("/macro kp_7 u");
       	run("/macro kp_1 d");
}


sub cmd_shadow
{
print "${BGreen}Changing to shadow walk macros\n";
	run("/macro kp_8 n;hide");
       	run("/macro kp_2 s;hide");
        run("/macro kp_4 w;hide");
        run("/macro kp_6 e;hide");
        run("/macro kp_7 u;hide");
        run("/macro kp_1 d;hide");
}

1;

